<template>
  <div class="_container">
    <div class="-grid-1-2 -gap">
      <div>
        <section>
          <h2>{{ $t('js.soil_analysis.setup') }}</h2>

          <!-- I18n.use $t('js.soil_analysis.setup_content.p1') -->
          <i18n-t keypath="js.soil_analysis.setup_content.p1" tag="p">
            <template #type>
              <em>{{ $t('js.soil_analysis.setup_content.type') }}</em>
            </template>
          </i18n-t>

          <p>{{ $t('js.soil_analysis.setup_content.p2') }}</p>
          <ol>
            <li>{{ $t('js.soil_analysis.setup_content.step1') }}</li>
            <li>{{ $t('js.soil_analysis.setup_content.step2') }}</li>
            <li>{{ $t('js.soil_analysis.setup_content.step3') }}</li>
            <li>{{ $t('js.soil_analysis.setup_content.step4') }}</li>
            <li>{{ $t('js.soil_analysis.setup_content.step5') }}</li>
          </ol>
        </section>

        <section>
          <h2>{{ $t('js.soil_analysis.reading_results') }}</h2>

          <!-- I18n.use $t('js.soil_analysis.reading_results_content.p1') -->
          <i18n-t keypath="js.soil_analysis.reading_results_content.p1" tag="p">
            <template #sand>
              <a :href="$t('js.soil_analysis.links.sand.url')" rel="noopener noreferrer" target="_blank">{{ $t('js.soil_analysis.links.sand.name') }}</a>
            </template>
            <template #silt>
              <a :href="$t('js.soil_analysis.links.silt.url')" rel="noopener noreferrer" target="_blank">{{ $t('js.soil_analysis.links.silt.name') }}</a>
            </template>
            <template #clay>
              <a :href="$t('js.soil_analysis.links.clay.url')" rel="noopener noreferrer" target="_blank">{{ $t('js.soil_analysis.links.clay.name') }}</a>
            </template>
          </i18n-t>

          <p>
            {{ $t('js.soil_analysis.reading_results_content.p2') }}
          </p>

          <ol>
            <li>{{ $t('js.soil_analysis.reading_results_content.step1') }}</li>
            <li>{{ $t('js.soil_analysis.reading_results_content.step2') }}</li>
            <li>{{ $t('js.soil_analysis.reading_results_content.step3') }}</li>
          </ol>

          <p>{{ $t('js.soil_analysis.reading_results_content.p3') }}</p>

          <rui-alert variant="info">{{ $t('js.soil_analysis.reading_results_content.p4') }}</rui-alert>
        </section>
      </div>

      <div>
        <soil-analysis />
      </div>
    </div>
  </div>
</template>

<script>
import RuiAlert from '@experiments-labs/rise_ui/src/components/Alert/Alert.vue'

import SoilAnalysis from './Tools/SoilAnalysis.vue'

export default {
  name: 'SoilAnalysisPage',
  components: { RuiAlert, SoilAnalysis },
}
</script>
